> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/workflow-info.md).

# Workflow Info

## POST /api/Public/GetWorkflowInfo/enc/GetWorkflowInfo

> Workflow info (encrypted)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetWorkflowInfo"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto":{"type":"object","properties":{"kid":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"data":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetWorkflowInfo/enc/GetWorkflowInfo":{"post":{"tags":["GetWorkflowInfo"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Workflow info (encrypted)","operationId":"post_GetWorkflowInfo_enc_GetWorkflowInfo"}}}}
```

## POST /api/Public/GetWorkflowInfo/GetDocumentInfo

> Document info

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetWorkflowInfo"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.GetDocumentInfoRequestDto":{"required":["workflowId"],"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"referenceNo":{"type":"string","nullable":true},"parentDocId":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentInfoResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentInfoResponse"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentInfoResponse":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"referenceNo":{"type":"string","nullable":true},"workflowStatus":{"type":"string","nullable":true},"workflowType":{"type":"string","nullable":true},"documentOwner":{"type":"string","nullable":true},"lastModifiedBy":{"type":"string","nullable":true},"signatories":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Signatories"},"nullable":true},"documentInfo":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentDetail_1"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.Signatories":{"type":"object","properties":{"emailID":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"remarks":{"type":"string","nullable":true},"signerType":{"type":"integer","format":"int32"},"signedDate":{"type":"string","nullable":true},"modeOfSignature":{"type":"string","nullable":true},"workId":{"type":"integer","format":"int32"},"currentSignatoryName":{"type":"string","nullable":true},"percentageNameMatch":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentDetail_1":{"type":"object","properties":{"signatories":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Signatories"},"nullable":true},"documentName":{"type":"string","nullable":true},"workflowName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"documentId":{"type":"integer","format":"int32"},"uploadDateTime":{"type":"string","nullable":true},"documentSize":{"type":"string","nullable":true},"noOfAttachment":{"type":"integer","format":"int32"},"noOfDocuments":{"type":"integer","format":"int32"},"subscriberId":{"type":"integer","format":"int32"},"modifieddate":{"type":"string","nullable":true},"documentOwner":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"currentSigner":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32"},"workflowType":{"type":"string","nullable":true},"lastModifiedBy":{"type":"string","nullable":true},"currentSignatoryName":{"type":"string","nullable":true},"percentageNameMatch":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetWorkflowInfo/GetDocumentInfo":{"post":{"tags":["GetWorkflowInfo"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.GetDocumentInfoRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentInfoResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Document info","operationId":"post_GetWorkflowInfo_GetDocumentInfo"}}}}
```

## POST /api/Public/GetWorkflowInfo/GetWorkflowInfo

> Workflow info

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetWorkflowInfo"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.GetDocumentInfoRequestDto":{"required":["workflowId"],"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"referenceNo":{"type":"string","nullable":true},"parentDocId":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.WorkflowInfo, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.WorkflowInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.WorkflowInfo":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"referenceNo":{"type":"string","nullable":true},"workflowStatus":{"type":"string","nullable":true},"noOfDocuments":{"type":"integer","format":"int32"},"noOfAttachment":{"type":"integer","format":"int32"},"workflowType":{"type":"string","nullable":true},"documentOwner":{"type":"string","nullable":true},"lastModifiedBy":{"type":"string","nullable":true},"declinedDate":{"type":"string","nullable":true},"signatories":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Signatories"},"nullable":true},"documentInfo":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentInfoThin"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.Signatories":{"type":"object","properties":{"emailID":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"remarks":{"type":"string","nullable":true},"signerType":{"type":"integer","format":"int32"},"signedDate":{"type":"string","nullable":true},"modeOfSignature":{"type":"string","nullable":true},"workId":{"type":"integer","format":"int32"},"currentSignatoryName":{"type":"string","nullable":true},"percentageNameMatch":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentInfoThin":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"documentName":{"type":"string","nullable":true},"documentId":{"type":"integer","format":"int32"},"uploadDateTime":{"type":"string","nullable":true},"documentSize":{"type":"string","nullable":true},"modifieddate":{"type":"string","nullable":true},"lastModifiedBy":{"type":"string","nullable":true},"declinedDate":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetWorkflowInfo/GetWorkflowInfo":{"post":{"tags":["GetWorkflowInfo"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.GetDocumentInfoRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.WorkflowInfo, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Workflow info","operationId":"post_GetWorkflowInfo_GetWorkflowInfo"}}}}
```
